Bug 468993 - *.def files in MinGW packages report "script-without-shebang"
*.def files in MinGW packages report "script-without-shebang"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mingw32-filesystem (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 08:11 EDT by Richard W.M. Jones
Modified: 2010-06-28 06:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-29 08:11:48 EDT
MinGW packages may contain *.def files, which are Windows
linker definitions files.

Libtool installs these as executable, and rpmlint gives a
warning 'script-without-shebang'.

For example:

mingw32-pango.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/pangowin32-1.0.def
(bug 467419)

See also bug 468992.
Comment 1 Bug Zapper 2008-11-25 23:25:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Richard W.M. Jones 2009-09-09 11:42:18 EDT
Closing - rpmlint no longer reports this as a problem.
Comment 3 Ville Skyttä 2009-09-10 17:01:36 EDT
It still does for me:

$ rpm -q rpmlint mingw32-filesystem
rpmlint-0.90-1.fc11.noarch
mingw32-filesystem-50-3.fc11.1.noarch

$ rpmlint ./mingw32-pango-1.24.5-1.fc11.noarch.rpm
mingw32-pango.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/pangowin32-1.0.def
mingw32-pango.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/pango-1.0.def
mingw32-pango.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/pangocairo-1.0.def
mingw32-pango.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/pangoft2-1.0.def
1 packages and 0 specfiles checked; 4 errors, 0 warnings.

Reassigning to mingw32-filesystem; /etc/rpmlint/mingw32-rpmlint.config looks like the right place to fix it.
Comment 4 Erik van Pienbroek 2009-09-10 17:16:53 EDT
Actually the .def files don't serve any purpose after a package has been built. Other packages don't need it during compilation. See http://fedoraproject.org/wiki/MinGW/Packaging_issues#.2A.def_files for more details about this subject.

I would like to propose that we drop all the .def file from the mingw32 packages which still bundle them (like mingw32-pango..I'm not aware of any other mingw32 packages which bundles .def files)
Comment 5 Bug Zapper 2010-04-27 08:18:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:47:08 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.